| Bsoft 2.0.5 Bernard's software package

Functions
bshow_ctf.tcl File Reference

Procedures to do CTF fitting. More...

Go to the source code of this file.

## Functions
| CTF currimg
| Dialog box to manipulate CTF parameters. More...
| setCTFPixelSize theimg
| Dialog box to set the pixel size for CTF fitting. More...
| setPixelSize_and_DestroyWindow w theimg
| Sets the pixel size. More...
| setStep theimg
| Sets the reciprocal space step size. More...
| updateCTF
| Updates all the CTF curves. More...
| setDefocusAverage def_avg
| Sets the defocus average. More...
| setDefocusDeviation def_dev
| Sets the defocus deviation. More...
| setAstigmatismAngle ast_ang
| Sets the astigmatism angle. More...
| getWavelength
| Calculates the wavelength. More...
| getFirstZero
| Returns the first zero at the average defocus. More...
| getZeroes
| Returns all the zeroes at the average defocus. More...
| calcRPS
| Calculates the radial power spectrum. More...
| calcCTF
| Calculates the contrast transfer function. More...
| calcR
| Returns the RMSD between the experimental and calculated RPS curves. More...
| autoCTFfit level
| Attempts an automatic fit of the baseline, envelope and CTF functions. More...
| drawEllipse theimg
| Draws a number of ellipses at the CTF zeroes. More...
| drawCTF
| Draws four curves: baseline, envelope, CTF and RPS. More...
| showFrequency c x y
| Shows the spatial frequency at that point where the mouse is moved. More...
| writeCTF
| Saves CTF curves to a text file. More...
| getCTFparam
| Updates CTF parameters from the micrograph parameters in memory. More...
| setCTFparam
| Saves CTF parameters to the micrograph parameters in memory. More...

## Detailed Description

Procedures to do CTF fitting.

Author
  Bernard Heymann

Date
  Created: 20020729
  Modified: 20170712

Definition in file bshow_ctf.tcl.

## Function Documentation

## ◆ autoCTFfit()

autoCTFfit |  |  | level

Attempts an automatic fit of the baseline, envelope and CTF functions.

Definition at line 558 of file bshow_ctf.tcl.

## ◆ calcCTF()

calcCTF

Calculates the contrast transfer function.

Definition at line 472 of file bshow_ctf.tcl.

## ◆ calcR()

calcR

Returns the RMSD between the experimental and calculated RPS curves.

Definition at line 509 of file bshow_ctf.tcl.

## ◆ calcRPS()

calcRPS

Calculates the radial power spectrum.

Definition at line 449 of file bshow_ctf.tcl.

## ◆ CTF()

CTF |  |  | currimg

Dialog box to manipulate CTF parameters.

Parameters

  currimg | Image identifier.

Definition at line 36 of file bshow_ctf.tcl.

## ◆ drawCTF()

drawCTF

Draws four curves: baseline, envelope, CTF and RPS.

Definition at line 667 of file bshow_ctf.tcl.

## ◆ drawEllipse()

drawEllipse |  |  | theimg

Draws a number of ellipses at the CTF zeroes.

Parameters

  theimg | Image identifier.

Definition at line 603 of file bshow_ctf.tcl.

## ◆ getCTFparam()

getCTFparam

Updates CTF parameters from the micrograph parameters in memory.

Definition at line 817 of file bshow_ctf.tcl.

## ◆ getFirstZero()

getFirstZero

Returns the first zero at the average defocus.

Definition at line 411 of file bshow_ctf.tcl.

## ◆ getWavelength()

getWavelength

Calculates the wavelength.

Definition at line 404 of file bshow_ctf.tcl.

## ◆ getZeroes()

getZeroes

Returns all the zeroes at the average defocus.

Definition at line 424 of file bshow_ctf.tcl.

## ◆ setAstigmatismAngle()

setAstigmatismAngle |  |  | ast_ang

Sets the astigmatism angle.

Parameters

  ast_ang | Astigmatism angle in degrees.

Definition at line 391 of file bshow_ctf.tcl.

## ◆ setCTFparam()

setCTFparam

Saves CTF parameters to the micrograph parameters in memory.

Definition at line 878 of file bshow_ctf.tcl.

## ◆ setCTFPixelSize()

setCTFPixelSize |  |  | theimg

Dialog box to set the pixel size for CTF fitting.

Parameters

  theimg | Image identifier.

Definition at line 274 of file bshow_ctf.tcl.

## ◆ setDefocusAverage()

setDefocusAverage |  |  | def_avg

Sets the defocus average.

Parameters

  def_avg | Defocus average.

Definition at line 363 of file bshow_ctf.tcl.

## ◆ setDefocusDeviation()

setDefocusDeviation |  |  | def_dev

Sets the defocus deviation.

Parameters

  def_dev | Defocus deviation.

Definition at line 377 of file bshow_ctf.tcl.

## ◆ setPixelSize_and_DestroyWindow()

setPixelSize_and_DestroyWindow |  |  | w theimg

Sets the pixel size.

Parameters

  w | the window to destroy.
  theimg | Image identifier.

Definition at line 312 of file bshow_ctf.tcl.

## ◆ setStep()

setStep |  |  | theimg

Sets the reciprocal space step size.

Parameters

  theimg | Image identifier.

Definition at line 326 of file bshow_ctf.tcl.

## ◆ showFrequency()

showFrequency |  |  | c x y

Shows the spatial frequency at that point where the mouse is moved.

Parameters

  c | Canvas object.
  x |
  y | Coordinates on the canvas.

Definition at line 762 of file bshow_ctf.tcl.

## ◆ updateCTF()

updateCTF

Updates all the CTF curves.

Definition at line 336 of file bshow_ctf.tcl.

## ◆ writeCTF()

writeCTF

Saves CTF curves to a text file.

Definition at line 774 of file bshow_ctf.tcl.